XINE(1)

NOM
xine - Lecteur audio/vidéo libre.

SYNOPSIS
xine [options] [MRL] ...

DESCRIPTION
Cette page de manuel documente brièvement le lecteur audio/vidéo xine.

xine est capable de jouer les flux MPEG (audio et vidéo), les flux mpeg élémentaire (ex: fichiers .mp3 ou .mpv), les flux mpeg transport, les fichiers ogg, avi, asf, quicktime, les (S)VCD et DVD, et bien plus...

OPTIONS
Ce programme utilise la syntaxe GNU pour la ligne de commande, avec les longues options commençant par deux tirets ('-'). Une liste de ces options est donnée plus bas. Pour une description complète, lisez les fichiers README et FAQ présents dans le répertoire /usr/local/share/doc/xine-ui ou sur la page du projet.

-h, --help
    Affiche la liste des options ainsi que la liste des pilotes (plugins) disponibles.

--verbose [=level]
    Défini le niveau de verbiage.

-c, --config <fichier>
    Utilise fichier en tand que fichier de configuration.

-a, --audio-channel <num>
    Sélectionne le canal audio spécifié. num est le numéro du canal, la valeur par defaut est 0.
    xine 0.5 et plus tente de collecter tous les canaux audio (ac3, mpeg audio, avi audio, ...) du flux et les classe en "canaux virtuels" en partant du canal 0.

-V, --video-driver <drv>
    Sélectionne le pilote vidéo. Utilisez xine --help pour avoir la liste des pilotes disponible sur votre système. Cette sélection est automatiquement enregistrée dans votre ~/.xine/config, donc vous n'avez à spécifier ce paramêtre qu'une seule fois.

-A, --audio-driver <drv>
    Sélectionne le pilote audio. Utilisez xine --help pour avoir la liste des pilotes disponible sur votre système. Cette sélection est automatiquement enregistrée dans votre ~/.xine/config, donc vous n'avez à spécifier ce paramêtre qu'une seule fois.

-u, --spu-channel <num>
    Sélectionne le canal de sous-titre. num est le numéro du canal de sous-titre. par défaut il n'y a pas de sous-titre (-1)

-p, --auto-play=[f][F][h][w][q][d][v]
    Démarre la lecture immédiatement apres l'exécution. Peut être suivi par:
    'f' en mode plein écran,
    'f' en mode vraiment plein écran (avec xinerama),
    'h' cache l'interface utilisateur (panneau principal, etc...),
    'w' cache la fenêtre de sortie,
    'q' quitte apres la fin de la lecture,
    Il est possible d'obtenir automatiquement les listes de lecture à partir d'un DVD 'd', ou d'un VCD 'v'. Il y a désormais un option générique, --auto-scan, pour çà (voir plus bas).

-s, --auto-scan <plugin>
    Recherche automatique de la liste de lecture à partir d'un plugin donné. Beaucoup de plugins autorisent une liste de lecture générique, afin de tout lire. Ceci fonctionne parfaitement pour les DVDs ou VCDs, par exemple. Specifier cette option reviens à presser le bouton concerné dans le paneau pricipal. Cette option est particulièrement utile en combinaison avec la lecture automatique. Vous pouvez executer xine --auto-play --auto-scan dvd dans le but de lire un DVD entier, sans avoir a appuyer sur un ou plusieurs boutons. Ceci fonctionne aussi avec des plugins non fournis avec xine, donnez seulement le nom du bouton que le plugin affiche dans le paneau principal de xine!.

-f, --fullscreen
    Passe en mode plein écran au lancement (comme en pressant 'f').

-F, --xineramafull
    Passe en mode plein écran sur plusieurs ecran au lancement (comme en pressant 'F'). Les ecrans à utiliser sont définis dans le fichier de configuration.

-g, --hide-gui
    Cache toutes les fenêtre graphique (excepté la fenêtre vidéo) au démarrage. Ceci reviens à presser 'G' dans xine.

-H, --hide-video
    Cache la fenêtre de sortie.

-L, --no-lirc
    Arrête le support de LIRC. Cette option est seulement disponible si xine a été compilé avec le support LIRC.

--visual <visual-class-or-id>
    Tente d'utiliser le visuel du serveur X11 pour les fenêtres de xine. Le paramêtre <visual-class-or-id> est soit le nom d'une classe de visuel X11 (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor ou DirectColor), soit la valeur hexadecimale du visuel X11. Quand xine est utilisé avec un nom de classe de visuel, xine tente de trouver ce visuel avec un profondeur de 15 or 16, 24, 32 ou 8 (dans cet ordre). La classe de visuel par defaut utilisé par xine en l'absence de l'option --visual est TrueColor. Si aucun visuel utilisable n'est trouvé, xine utilisera de visuel par defaut de la fenêtre root du serveur X11.

--install
    Quand un visuel X11 avec changement de couleurs est utilisé (colormaps), un colormap privé est installé pour xine. Avec un colormap privé, xine peux allouer plus de couleurs, donc la sortie vidéo sera meilleure.

--keymap [=option]
    Affiche l'assignement des touches. Option peux être:
    'default' affiche la table d'assignements par defaut,
    'lirc' affiche le brouillon d'un fichier de configuration .lircrc,
    'remapped' table d'assignement de l'utilisateur,
    'ile:<fichier>' utilise fichier comme table d'assignement.
    Si aucune option n'est spécifié, 'default' sera sélectionné.

-n, --network
    Mise en fonction du serveur de contrôle distant. Pour utiliser le serveur de contrôle distant, un fichier de mot de passe est requis. Si xine ne le trouve pas, le serveur sera arrêté. La syntaxe du fichier de mot de passe suit le schéma (famillier) <identification>:<password>. Depuis que la cryptographie est sujette à des problèmes de légalitée dans certains pays, le mot de passe n'est pas crypté, et est aussi transmis sous une forme non crypté. Donc, faites attention avec les connection distantes. Deux régles (optionnelles) sont disponible (une seule a la fois)
    ALL:ALLOW ou ALL:DENY
    Dans le premier cas, tout les clients sont autorisés à executer toutes les commandes disponibles sans aucune restriction. Dans le second cas, personne n'est autorisé à executer de commande, exeption faites des utilisateurs authentifiés (en utilisant la commande 'identify'). Si un champ de mot de passe commence avec un asterisque '*', l'utilisateur est bloqué. Si un champ de mot de passe est vide, l'entrée complète sera ignorée. Voici un exemple d'un petit fichier ~/.xine/passwd:
    ALL:DENY
    daniel:mypasswd
    foo:*
    Ceci autorisera uniquement 'daniel' à executer des commandes, aprés avoir été correctement authentifié. Le port par defaut du serveur est 6789, ce nombre est totalement arbitraire. Vous pouvez connecter le serveur en utilisant un simple telnet:
    telnet localhost 6789
    Pour changer le port par defaut, vous pouvez (en tand que root) editer votre /etc/services, et ajouter une entrée comme ceci:
    xinectl    7890/tcp        # xine control
    Ceci changera le port par defaut de 6789 à 7890, et créera un service "humain" appelé xinectl. Ce serveur offre de lui même l'aide et la syntaxe des commandes:
    help[commande]
    Sans commande spécifié, toutes les commandes disponibles seront affichées. Si une commande est spécifié, un court texte à propos de la fonctionnalité de la commande sera affiché.
    syntaxe<commande>
    Affiche la syntaxe de la commande.

-R, --root
    Utilise la fenêtre root comme fenêtre de sortie.

-G, --geometry <WxH[+X+Y]>
    Vous pouvez spécifié la taille et la position de la fenêtre de sortie en utilisant la géométrie de style X (voir X(7)). Les décalages X et Y sont optionnels.

-B, --borderless
    Retire les bordures de la fenêtre de sortie, en mode fenêtré.

-N, --animation <mrl>
    Spécifie une ou plusieurs mrls à jouer pour les flux sans vidéo.

-P, --playlist <fichier>
    Utilise le fichier spécifié comme liste de lecture. Les formats reconnues sont: asx, toxine, m3u, pls, sfv et les fichiers texte.

-l, --loop [=mode]
    Defini le mode de bouclage de la liste de lecture. Si aucun mode n'est precisé, le mode loop est utilisé. Les modes possibles sont:
    loop: lecture du debut à la fin de la liste de lecture.
    repeat: répète l'entrée courante dans la liste de lecture.
    shuffle: sélection aléatoire d'une entrée, non encore jouée, dans la liste de lecture.
    shuffle+: identique à shuffle, mais rejoue indéfiniement la liste de lecture.

--skin-server-url <url>
    Defini l'url du serveur d'apparences.

--enqueue <mrl> ...
    Ajoute une ou plusieurs mrls à la liste de lecture de la session existante (session 0).
    Si vous désirez spécifier une autre session, utilisez l'option -S session=x.

-S, --session <option1,option2,...>
    Gestion de session. Toutes les options peuvent être utilisées plus d'une fois, excepté session.
    Les options sont:
    session=n specifie le numéro de session <n>,
    mrl=m ajoute la mrl <m> à la liste de lecture,
    audio=c sélectionne le canal audio (<c>: next ou prev),
    spu=c sélectionne le canal de sous-titre (<c>: next ou prev),
    volume=v règle le volume audio (<v>: 0 à 100),
    amp=v règle le niveau d'amplification de l'instance (<v>: 0 à 200),
    loop=m défini le mode de bouclage (<m>: none loop repeat shuffle ou shuffle+),
    get_speed récupère le status de vitesse courante. Les valeurs retournées sont:
        - 1: erreur
        - 2: stop
        - 3: play
        - 4: pause
        - 5: slow4
        - 6: slow2
        - 7: fast2
        - 8: fast4
    get_time[=p|pos] retourne la position courante en secondes, ou en position dans le flux (0..65535).
    (playlist|pl)=p
      <p> peut être:
        clear: efface la liste de lecture,
        first: joue la première entrée dans la liste de lecture,
        prev: joue l'entrée précédente de la liste de lecture,
        next: joue l'entrée suivante de la liste de lecture,
        last: joue la dernière entrée dans la liste de lecture,
        load:s: charge le fichier de liste de lecture <s>.
        stop: arrête la lecture à la fin de la lecture courante,
        cont: continu la lecture à la fin de la lecture courante.
    Il y a aussi d'autres options qui s'expliquent d'elles même.
        play, slow2, slow4, pause, fast2, fast4, stop, quit, fullscreen, eject.

-Z  Ne démarre pas automatiquement la lecture. N'affecte que le démarrage automatique de la lecture quand le mode smart est utilisé.

-D, --deinterlace [post]
    Désentrelacement de la vidéo. Vous pouvez spécifier le(s) plugin(s) à utiliser pour le désentrelacement de la sortie vidéo. Voir la syntaxe de --post.

-r, --aspect-ratio <mode>
    Défini le ratio d'aspect le la sortie vidéo. Les modes sont: auto, square, 4:3, anamorphic, dvb.

--broadcast-port <port>
    Defini le port du diffuseur de xine (coté maître), l'esclave est démarré par 'xine slave://address:port'

--no-logo
    N'affiche pas le logo.

-E, --no-reload
    Ne recharge pas l'ancienne liste de lecture. La liste de lecture est sauvée quand vous quittez xine, puis elle est rechargée est lue à la prochaine execution de xine. Cette fonctionnalité peut être dévalidée via la fenêtre de réglage.

--post <plugin>[:parameter=value][,...]
    Charge un ou plusieurs plugin(s) de post-traitement. Les paramètres sont séparés par des virgules. Cette option peut être utilisée plus d'une fois afin de chainer deux ou plusieurs plugins de post-traitement vidéo. Vous pouvez specifier deux (et plus) plugins, séparés par un point-virgule ';'.

--disable-post
    Ne mets pas en fonction le(s) plugin(s). De cette manière, vous pouvre specifier un ou plusieurs plugins à utiliser, à l'aide de l'option de ligne de commande --post, mais en ne validant pas leurs effets.

--no-splash
    N'affiche las l'écran splash.

--stdctl
    Met en fonction le contrôle de xine via le STDIN.

-T, --tvout <controleur>
    Met en fonction le support de la Sortie TV. <backend> peut être: nvtv, ati.

--list-plugins [=type]
    Affiche la liste des plugins disponibles. L'optionel <type> peut être: audio_out, video_out, demux, input, sub, post, audio_decoder, video_decoder

--bug-report [=mrl]
    Met en fonction le mode de rapport de bogue. Il positionne le mode verbeux, collecte tout les messages et les écris dans un fichier nommé BUG-REPORT.TXT. Si <mrl> est spécifié, xine jouera cette mrl puis quittera (comme le fais -pq).

Si vous ne spécifiez aucune MRL, vous pourrez sélectionner un fichier par glisser-lacher. Glisser des fichiers depuis GNOME Midnight Commander (gmc), Nautilus ou Konqueror est connu pour fonctionner.

MRL (media resource locator)
Les MRLs sont similaires aux URLs de votre navigateur internet. Elles définissent le média à utiliser comme source de lecture. Les MRLs valides peuvent être des noms de fichiers ou un de ceux qui suit:
file:<chemin>
fifo:<chemin>
stdin:/
dvd:/<titre>.<part>
vcd://[<image-CD>|<nom-periphérique>][@[lettre]<nombre>]
tcp://<hôte>:<port>
rtp://<hôte>:<port>
udp://<hôte>:<port><?iface=interface>
mms://<hôte>...
http://<hôte>...

Plusieurs MRLs peuvent être spécifiées pour lire un nombre consécutif de flux. Des plugins supplémentaires permettent l'accés à de nouveaux types de MRL. La liste de MRLs ci-dessus est disponible avec la version "originale" de la bibliothèque xine.

  Syntaxe des MRL VCD
    FILLME

SOUS-TITRE
utilisation des sous-titres externes (toute mrl)

Les fichiers de sous-titre peuvent êre ajoutés a une MRL:

<mrl>::<fichier-sous-titre>
    Ceci est spécifique a xine-ui pour définir le fichier de sous-titre à utiliser. Le nom de fichier sera extrait par le programme, ce qui permet de le changer, le sauver dans un liste de lecture, etc...

<mrl>#subtitle:<fichier-sous-titre>
    Ceci est spécifique a xine-lib pour définir le fichier de sous-titre à utiliser. Le programme ne portera aucune attention au fichier de sous-titre utilisé.

OPTIONS DE FLUX
Aprés un délimiteur # vous pouvez ajouter plusieurs paramètres pour le flux:

novideo
    la vidéo sera ignorée

noaudio
    l'audio sera ignoré

nospu
    le sous-titre sera ignoré

demux:<nom de demultiplexeur>
    spécifie le démultiplexeur à utiliser

volume:<niveau>
    spécifie le volume sonore

compression:<niveau>
    définie le niveau de compression dynamique

<section de configuration>:<valeur de configuration>
    assigne une nouvelle valeur a n'importe quelle section de configuration

changer une option de configuration 'à la volée':
    Vous pouvez changer une option de configuration à n'importe quel moment, en utilisant la mrl spéciale cfg:/. Sa syntaxe est:
        cfg:/<section de configuration> : <valeur de configuration>
    Contrairement à l'option de configuration du flux, vous pouvez changer quelque chose avant de jouer le flux.

TOUCHES DE CONTRÔLE
Beaucoup de fonctions peuvent êtres contrôlées en pressant certaines touches. 'M-' est la touche Meta ('Alt' sur les claviers de PC), 'C-' est la touche Control 'Ctrl', les autres touches spéciales sont délimitées par les caractères '<' et '>', par exemple: la touche FIN est affiché <END>. La liste des raccourçis par default est :

<Return>
    Lance la lecture.

<space>
    Bascule de la pause.

S   Arrête la lecture.

t   Prends un photo.

e   Ejecte le medium courant.

<Next>
    Sélectionne et joue la mrl suivante dans la liste de lecture.

<Prior>
    Sélectionne et joue la mrl précédante dans la liste de lecture.

l   Sélecteur de mode de bouclage.

C-s Parcours la liste de lecture pour collecter les informations de flux.

C-a Ajoute un mediamark depuis la lecture courante.

C-e Edite le mediamark sélectionné.

<Left>
    Déplace la position courante de -60 secondes dans le flux en cours de lecture.

<Right>
    Déplace la position courante de +60 secondes dans le flux en cours de lecture.

M-<Left>
    Déplace la position courante de -30 secondes dans le flux en cours de lecture.

M-<Right>
    Déplace la position courante de +30 secondes dans le flux en cours de lecture.

C-<Left>
    Déplace la position courante de -15 secondes dans le flux en cours de lecture.

C-<Right>
    Déplace la position courante de +15 secondes dans le flux en cours de lecture.

M3-<Left>
    Déplace la position courante de -7 secondes dans le flux en cours de lecture. IP "M3-<Right>" Déplace la position courante de +7 secondes dans le flux en cours de lecture.

C-0 Déplace la position courante au debut du flux en cours de lecture.

C-1 Déplace la position courante à 10% du flux en cours de lecture.

C-2 Déplace la position courante à 20% du flux en cours de lecture.

C-3 Déplace la position courante à 30% du flux en cours de lecture.

C-4 Déplace la position courante à 40% du flux en cours de lecture.

C-5 Déplace la position courante à 50% du flux en cours de lecture.

C-6 Déplace la position courante à 60% du flux en cours de lecture.

C-7 Déplace la position courante à 70% du flux en cours de lecture.

C-8 Déplace la position courante à 80% du flux en cours de lecture.

C-9 Déplace la position courante à 90% du flux en cours de lecture.

<Up>
    Augmente la vitesse de lecture.

<Down>
    Diminue la vitesse de lecture.

M-<Down>
    Reviens à la vitesse de lecture par defaut.

V   Augmente le volume sonore.

v   Diminue le volume sonore.

C-V Augmente le niveau d'amplification.

C-v Diminue le niveau d'amplification.

C-A Reviens au niveau d'amplification par defaut.

C-m Bascule de la sourdine.

<plus>
    Sélectionne le canal audio suivant.

<minus>
    Sélectionne le canal audio précédant.

<period>
    Sélectionne le canal de sous-titre suivant.

<comma>
    Sélectionne le canal de sous-titre précédant.

i   Bascule du mode de désentrelacement.

a   Sélecteur des ratio d'aspect.

<less>
    Reduit la taille de la fenêtre de sortie par un facteur de 1.2

<greater>
    Agrandit la taille de la fenêtre de sortie par un facteur de 1.2

M-1 Dimensionne la fenêtre a 50% de la taille du flux.

M-2 Dimensionne la fenêtre a 100% de la taille du flux.

M-3 Dimensionne la fenêtre a 200% de la taille du flux.

z   Zoom avant.

Z   Zoom arrière.

C-z Zoom avant horizontal.

C-Z Zoom arrière horizontal.

M-z Zoom avant vertical.

M-Z Zoom arrière vertical.

C-M-z
    Remise a zéro du zoom.

s   Redimensionne la fenêtre de sortie à la taille du flux.

f   Bascule du mode fenêtré/plein écran.

F   Bascule du mode plein écran Xinerama.

b   Bascule du l'affichage des bordures de la fenêtre de sortie.

<Escape>
    Va au Menu du media

<F1>
    Va au Menu Titre.

<F2>
    Va au Menu Principal

<F3>
    Va au Menu Sous-Titre.

<F4>
    Va au Menu Audio.

<F5>
    Va au Menu Angle.

<F6>
    Va au Menu Chapitre.

<Keypad Up>
    Navigation: Haut.

<Keypad Down>
    Navigation: Bas.

<Keypad Left>
    Navigation: Gauche.

<Keypad Right>
    Navigation: Droit.

<Keypad Enter>
    Navigation: Sélection

<Keypad Next>
    Va au chapitre suivant.

<Keypad Prior>
    Va au chapitre précédant.

<Keypad Home>
    Sélectionne l'angle suivant.

<Keypad End>
    Sélectionne l'angle précédant.

M-h Bascule de visualisation de la fenêtre d'aide.

M-P Bascule de visualisation de la fenêtre de post-traitement.

C-M-P
    Bascule du fonctionnement du post-traitement.

h   Bascule de visualisation de la fenêtre de sortie.

g   Bascule de visualisation de l'interface utilisateur.

M-c Bascule de visualisation de la fenêtre de contrôle.

M-m Bascule de visualisation du brouteur de mrl

M-p Bascule de visualisation de l'éditeur de liste de lecture.

M-s Bascule de visualisation de la fenêtre de configuration.

M-e Bascule de visualisation de la fenêtre d'envoi d'évenements.

M-t Bascule de visualisation de la fenêtre de contrôle de TV analogique.

M-l Bascule de visualisation de la fenêtre de traçage.

M-i Bascule de visualisation de la fenêtre d'information de flux.

C-i Affichage OSD des informations du flux.

M-k Ouvre la fenêtre de l'éditeur de raccourçis.

C-o Ouvre le sélecteur de fichier.

C-S Ouvre la fenêtre de sélection de fichier de sous-titre.

C-d Ouvre la fenêtre du recupérateur d'apparence.

C-t Bascule d'affichage MRL/Identifiant.

<Insert>
    Bascule de capture du pointeur de souris.

0   Entre le chiffre 0.

1   Entre le chiffre 1.

2   Entre le chiffre 2.

3   Entre le chiffre 3.

4   Entre le chiffre 4.

5   Entre le chiffre 5.

6   Entre le chiffre 6.

7   Entre le chiffre 7.

8   Entre le chiffre 8.

9   Entre le chiffre 9.

M3-<plus>
    Ajoute 10 au prochain chiffre saisie.

<slash>
    Définition en pourcentage de la position courante dans le flux.

M-<Up>
    Déplace en avant la position courante dans le flux par un argument numérique.

M3-<Up>
    Déplace en arrière la position courante dans le flux par un argument numérique.

m   Change la synchronisation audio/video (retarde la vidéo).

n   Change la synchronisation audio/video (retarde l'audio).

<Home>
    Remise à zéro du décalage audio/video.

M   Change la synchronisation du sous-titre (retarde la video)?

N   Change la synchronisation du sous-titre (retarde le sous-titre).

C-M-o
    Sélecteur de modes de TV (pour DXR3).

d   Bascule de mode de veille de moniteur DPMS.

C-l Arrête la lecture à la fin de la lecture courante.

q   Quitte le programme.

Ajustement de la synchronization audio/video
Il existe des flux ayant de mauvaises informations de temporisation, de ce fait la synchronisation échoue. Il est possible de corriger ceci en utilisant les touches directionnelle:

n   Pressez cette touche si la vidéo est en retard par rapport à l'audio.

m   Pressez cette touche si la vidéo est en avance par rapport à l'audio.

<début>
    Pressez cette touche pour remettre à 0.

Ajustement de la synchronization des sous-titres
Il est possible de modifier la synchronisation des sous-titres en utilisant les touches suivantes:
M et N

FICHIERS
Tout les fichiers de configurations sont désormais dans ~/.xine:

~/.xine/config :
    fichier principal de configuration

~/.xine/keymap :
    fichier d'assignement des touches de xine-ui

~/.xine/passwd :
    fichier de mots de passes de xine-ui

~/xine/xinerc :
    vous pouvez ajouter des arguments de ligne de commande habituel dans ce fichier (un argument par ligne), comme ci-dessous:
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

VOIR AUSSI
xine-remote(1).
La documentation pour le plugin VCD est disponible séparement.
Le programme est complètement documenté sur la page du projet de xine: http://www.xine-project.org/ (http://www.xine-project.org/)

AUTEURS
Cette page de manuel a été écrite par Siggi Langauf <siggi@users.sourceforge.net>, de nombreux ajouts de Guenter Bartsch <guenter@users.sourceforge.net> et Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>, pour le projet xine. Traduction par Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>.